
printTrace("Hello, World!")

local answer = askYesOrNo("Well, what's it gonna be? Should I sleep for 10 seconds?")
if answer == "yes" then
	sleep( 10000 )
end

local snackEnum = as3.toarray( { "Cookies", "Cake", "Ice Cream" } )
local snackComboPrompt = as3.toobject( { key = "snack", name="Snack:", type="ComboBox", enum = snackEnum } )
local drinkEnum = as3.toarray( { "Milk", "Whiskey", "Beer", "Soda" } )
local drinkDropDown = as3.toobject( { key="drink", name="Drink:", type="Enum", enum = drinkEnum })
local atMidnight = as3.toobject( { key="yesOrNo", name="At midnight?", type="Boolean" })
local onWhatDate = as3.toobject( { key="when", name="When?", type="Date"} )
local withWho = as3.toobject( { key="who", name="With who?", type="String" })
local howManyTimes = as3.toobject( { key="howmany", name="How many times?", type="Number" })

-- The arguments list to display must be supplied as a bare lua table in standard "array" style.
local arguments = { snackComboPrompt, drinkDropDown, atMidnight, onWhatDate, withWho, howManyTimes } 
local message = "Answer these questions please!"
local results, err = promptForArguments( message, arguments )
if err == 0 then
	showAlertPrompt("You said you wanted " .. results.snack )
end

